Subject: Re: bug#38529: Make --ad-hoc the default for guix environment proposed deprecation mechanism

From: Ludovic Courtès <[email-masked]>
Date: Mon, 30 Dec 2019 11:34:39 +0100

Hi,

EuAndreh <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Yes, I think it is clear that we’d have to do this using all the tools
>> at our disposal, including time.
>>
>> Konrad’s objection remains though: existing documents (papers, blog
>> posts, MOOCs, etc.) that mention ‘guix environment’ would all of a
>> sudden become wrong if we were to change the defaults of ‘guix
>> environment’.  Even if we introduce a variable to restore the old
>> behavior.
>>
>> Perhaps that’s unavoidable in the long run, but perhaps this is not the
>> right time for this.
>
> Wouldn't having a new name for the new behaviour avoid breakage in this
> situation?

Yes, that’s correct (that’s also one of the suggestions Konrad made).

We could take that route.  What would we call it, though?  I don’t like
“guix shell” because it doesn’t quite reflect what the command is
about.  No good idea, though.

Thanks,
Ludo’.